Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2737413003: [Presentation API] Remove references to presentation sessions. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 2 weeks ago by mark a. foltz
Modified:
3 months, 1 week ago
CC:
Aaron Boodman, abarth-chromium, blink-reviews, blink-reviews-api_chromium.org, chromium-reviews, darin (slow to review), darin-cc_chromium.org, dglazkov+blink, haraken, jam, mlamouri+watch-content_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Presentation API] Remove references to presentation sessions. "Sessions" are from an early draft of the Presentation API and they are confusing to define APIs around as they are not defined by the current spec. This mechanical change updates the PresentationService mojo API, and upstream and downstream APIs, to remove references to them. Renamings in presentation.mojom: PresentationSessionInfo => PresentationInfo SESSION_REQUEST_CANCELLED => PRESENTATION_REQUEST_CANCELLED OnDefaultSessionStarted => OnDefaultPresentationStarted StartSession => StartPresentation JoinSession => ReconnectPresentation OnDefaultSessionStarted => OnDefaultPresentationStarted In WebPresentationClient: terminateConnection => terminatePresentation closeSession => closeConnection In WebPresentationController: didStartDefaultSession => didStartDefaultPresentation didChangeSessionState => didChangeConnectionState didReceiveSessionTextMessage => didReceiveConnectionTextMessage didReceiveSessionBinaryMessage => didReceiveConnectionBinaryMessage In WebPresentationReceiver: didChangeSessionState => didChangeConnectionState In PresentationServiceDelegate: PresentationSessionStartedCallback => PresentationConnectionCallback PresentationSessionErrorCallback => PresentationConnectionErrorCallback BUG=647290 Review-Url: https://codereview.chromium.org/2737413003 Cr-Commit-Position: refs/heads/master@{#458243} Committed: https://chromium.googlesource.com/chromium/src/+/11fc4df8400a28054b5f5081e67985e83c387643

Patch Set 1 #

Patch Set 2 : Update chrome/browser #

Patch Set 3 : Fix Android #

Patch Set 4 : Update presentation service mock. #

Total comments: 5

Patch Set 5 : Rebase #

Patch Set 6 : Respond to imcheng@ comments #

Patch Set 7 : Revert attempted rebase. #

Patch Set 8 : Successful rebase :-) #

Patch Set 9 : Rebase again #

Patch Set 10 : Update PresentationServiceDelegateImpl unittest #

Unified diffs Side-by-side diffs Delta from patch set Stats (+961 lines, -1048 lines) Patch
M chrome/browser/media/android/router/media_router_dialog_controller_android.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/media/router/browser_presentation_connection_proxy.h View 1 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/media/router/create_presentation_connection_request.h View 1 4 chunks +13 lines, -16 lines 0 comments Download
M chrome/browser/media/router/create_presentation_connection_request.cc View 1 3 chunks +4 lines, -5 lines 0 comments Download
M chrome/browser/media/router/create_presentation_connection_request_unittest.cc View 1 4 chunks +7 lines, -7 lines 0 comments Download
M chrome/browser/media/router/media_route.h View 1 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/media/router/media_router_base_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/media/router/media_router_dialog_controller_unittest.cc View 1 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/media/router/mojo/media_router.mojom View 1 2 3 4 7 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/media/router/mojo/media_router.typemap View 1 2 3 4 7 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/media/router/mojo/media_router_mojo_impl_unittest.cc View 1 2 3 4 7 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/media/router/offscreen_presentation_manager.h View 1 2 3 4 5 6 7 8 2 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/media/router/offscreen_presentation_manager.cc View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/media/router/offscreen_presentation_manager_unittest.cc View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/browser/media/router/presentation_service_delegate_impl.h View 1 2 3 4 5 6 7 8 5 chunks +19 lines, -19 lines 0 comments Download
M chrome/browser/media/router/presentation_service_delegate_impl.cc View 1 2 3 4 5 6 7 8 31 chunks +113 lines, -111 lines 0 comments Download
M chrome/browser/media/router/presentation_service_delegate_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 16 chunks +33 lines, -32 lines 0 comments Download
M chrome/browser/ui/webui/media_router/media_router_dialog_controller_impl_unittest.cc View 1 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/ui/webui/media_router/media_router_ui.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/webui/media_router/media_router_ui_unittest.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/ui/webui/media_router/media_router_webui_message_handler.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/presentation/presentation_service_impl.h View 1 2 3 4 7 8 chunks +59 lines, -62 lines 0 comments Download
M content/browser/presentation/presentation_service_impl.cc View 1 2 3 4 5 6 12 chunks +99 lines, -97 lines 0 comments Download
M content/browser/presentation/presentation_service_impl_unittest.cc View 18 chunks +100 lines, -95 lines 0 comments Download
M content/common/presentation/presentation.typemap View 2 chunks +2 lines, -2 lines 0 comments Download
M content/common/presentation/presentation_struct_traits.h View 5 6 4 chunks +14 lines, -13 lines 0 comments Download
M content/common/presentation/presentation_struct_traits.cc View 2 chunks +5 lines, -6 lines 0 comments Download
M content/public/browser/presentation_service_delegate.h View 8 chunks +30 lines, -30 lines 0 comments Download
M content/public/common/BUILD.gn View 1 chunk +2 lines, -2 lines 0 comments Download
A + content/public/common/presentation_info.h View 5 6 4 chunks +12 lines, -13 lines 0 comments Download
A content/public/common/presentation_info.cc View 1 chunk +21 lines, -0 lines 0 comments Download
D content/public/common/presentation_session.h View 1 chunk +0 lines, -69 lines 0 comments Download
D content/public/common/presentation_session.cc View 1 chunk +0 lines, -28 lines 0 comments Download
M content/renderer/presentation/presentation_connection_proxy.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M content/renderer/presentation/presentation_dispatcher.h View 1 5 6 7 chunks +36 lines, -30 lines 0 comments Download
M content/renderer/presentation/presentation_dispatcher.cc View 1 5 6 19 chunks +102 lines, -98 lines 0 comments Download
M content/renderer/presentation/presentation_dispatcher_unittest.cc View 1 5 6 10 chunks +74 lines, -70 lines 0 comments Download
M third_party/WebKit/LayoutTests/presentation/presentation-controller-terminate-connection.html View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/presentation/presentation-onreceiverconnection.html View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/presentation/presentation-start-error.html View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/presentation/resources/presentation-service-mock.js View 1 2 3 5 6 2 chunks +7 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/ExistingPresentationConnectionCallbacks.h View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/ExistingPresentationConnectionCallbacks.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationConnection.h View 4 chunks +7 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationConnection.cpp View 1 2 3 4 5 6 7 8 5 chunks +11 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationConnectionCallbacks.h View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationConnectionCallbacks.cpp View 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationController.h View 1 5 6 2 chunks +11 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationController.cpp View 5 6 2 chunks +16 lines, -16 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationError.cpp View 5 6 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationReceiver.h View 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationReceiver.cpp View 5 6 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationReceiverTest.cpp View 1 5 6 6 chunks +17 lines, -17 lines 0 comments Download
M third_party/WebKit/Source/modules/presentation/PresentationRequest.cpp View 5 6 2 chunks +6 lines, -5 lines 0 comments Download
M third_party/WebKit/public/BUILD.gn View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/public/platform/modules/presentation/WebPresentationClient.h View 3 chunks +22 lines, -19 lines 0 comments Download
M third_party/WebKit/public/platform/modules/presentation/WebPresentationConnectionCallbacks.h View 1 chunk +5 lines, -5 lines 0 comments Download
M third_party/WebKit/public/platform/modules/presentation/WebPresentationController.h View 2 chunks +16 lines, -16 lines 0 comments Download
M third_party/WebKit/public/platform/modules/presentation/WebPresentationError.h View 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/public/platform/modules/presentation/WebPresentationInfo.h View 2 chunks +7 lines, -7 lines 0 comments Download
M third_party/WebKit/public/platform/modules/presentation/WebPresentationReceiver.h View 2 chunks +4 lines, -3 lines 0 comments Download
D third_party/WebKit/public/platform/modules/presentation/WebPresentationSessionInfo.h View 1 chunk +0 lines, -27 lines 0 comments Download
M third_party/WebKit/public/platform/modules/presentation/presentation.mojom View 6 chunks +40 lines, -44 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 33 (21 generated)
mark a. foltz
imcheng@, zhaobin@: PTAL everything dcheng@: PTAL at .mojom and struct_traits changes avi@: PTAL at content/public ...
3 months, 2 weeks ago (2017-03-10 23:35:17 UTC) #15
Avi (ping after 24h)
content/public lgtm
3 months, 2 weeks ago (2017-03-11 00:09:27 UTC) #16
dcheng (OOO Jun 25 - Jul 1)
lgtm (i mostly only skimmed, since this CL touches so many lines)
3 months, 2 weeks ago (2017-03-11 07:04:50 UTC) #17
imcheng
lgtm https://codereview.chromium.org/2737413003/diff/60001/content/browser/presentation/presentation_service_impl.cc File content/browser/presentation/presentation_service_impl.cc (right): https://codereview.chromium.org/2737413003/diff/60001/content/browser/presentation/presentation_service_impl.cc#newcode501 content/browser/presentation/presentation_service_impl.cc:501: PresentationServiceImpl::NewPresentationCallbackWrapper :: Please fix formatting https://codereview.chromium.org/2737413003/diff/60001/content/browser/presentation/presentation_service_impl.cc#newcode505 content/browser/presentation/presentation_service_impl.cc:505: PresentationServiceImpl::NewPresentationCallbackWrapper ...
3 months, 2 weeks ago (2017-03-13 21:17:55 UTC) #18
zhaobin
lgtm
3 months, 2 weeks ago (2017-03-13 21:23:26 UTC) #19
mlamouri (slow)
lgtm
3 months, 1 week ago (2017-03-16 11:56:21 UTC) #20
mark a. foltz
On 2017/03/13 at 21:17:55, imcheng wrote: > lgtm > > https://codereview.chromium.org/2737413003/diff/60001/content/browser/presentation/presentation_service_impl.cc > File content/browser/presentation/presentation_service_impl.cc (right): ...
3 months, 1 week ago (2017-03-16 19:48:13 UTC) #21
mark a. foltz
https://codereview.chromium.org/2737413003/diff/60001/content/browser/presentation/presentation_service_impl.cc File content/browser/presentation/presentation_service_impl.cc (right): https://codereview.chromium.org/2737413003/diff/60001/content/browser/presentation/presentation_service_impl.cc#newcode501 content/browser/presentation/presentation_service_impl.cc:501: PresentationServiceImpl::NewPresentationCallbackWrapper :: On 2017/03/13 at 21:17:55, imcheng wrote: > ...
3 months, 1 week ago (2017-03-16 19:50:09 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2737413003/140001
3 months, 1 week ago (2017-03-20 18:49:38 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device-xcode-clang/builds/58878) ios-simulator-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
3 months, 1 week ago (2017-03-20 18:54:45 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2737413003/180001
3 months, 1 week ago (2017-03-20 20:41:20 UTC) #30
commit-bot: I haz the power
3 months, 1 week ago (2017-03-20 23:50:07 UTC) #33
Message was sent while issue was closed.
Committed patchset #10 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/11fc4df8400a28054b5f5081e679...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318